1. Ledger
Confirma Finance Integrations API
  • Introduction
  • Authentication
  • Environments
  • Data validation
  • Contact information
  • Go Live & Deployment Guide
  • Services
    • Services
    • Invoice Intermediation service
    • Invoice Lifecycle Service
    • Debt Collection Services
    • Accounting integrations
  • Core endpoints
    • Onboarding
      • Introduction to onboarding
      • Create a new client
      • Validate access token
      • Renew access token
    • Invoices
      • Introduction to Invoices
      • Create an invoice
      • Create an Invoice Action
      • Retrieve case details
      • Retrieve distribution Information
    • Payments
      • Introduction to Payments
      • Retrieve Payments
      • Retrieve settlements
    • Accounting
      • Introduction to accounting
      • Invoice
        • Invoice
      • Ledger
        • Ledger
          POST
        • Ledger
          GET
      • Payment
        • Payment
        • Payment
Need help?
  1. Ledger

Ledger

GET
https://staging-integrations.confirmafinance.com/api/v1/partner/accounting/ledger
AccountingNetvisorNetBaronLedger
This endpoint is used to check the status of ledger data. It indicates whether the data has been successfully synchronized with the target system, is still queued for processing or if the synchronization has failed.

Request

Authorization
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
Query Params

Body Params application/json

Example
{}

Responses

🟢200
application/json
Body

Example
{
    "ledgers": [
        {
            "sourceIdentifier": "360f2c84-3b28-4915-a93f-20397b9e00ec",
            "documentDate": "2025-10-15",
            "documentName": "Ledger1234",
            "documentStatus": "Approved",
            "syncDate": "2025-10-16",
            "status": 1,
            "description": "Successfully synced"
        }
    ]
}
🟢204No Content
🟠401Unauthorized
Previous
Ledger
Next
Payment
Built with